Summary: 3D tabletennis game
Name: csmash
Version: 0.6.6
Release: 13%{?dist}
License: GPL
Group: Amusements/Games
URL: http://cannonsmash.sourceforge.net/
Source: http://dl.sf.net/cannonsmash/csmash-%{version}.tar.gz
Patch0: csmash-0.6.6-64bit-gcc4-fixes.patch
Patch1: csmash-0.6.6-extraqualif.patch
Patch2: csmash-0.6.6-configure.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel, libjpeg-devel, zlib-devel
BuildRequires: SDL-devel >= 1.2.0, SDL_mixer-devel, SDL_image-devel
BuildRequires: desktop-file-utils
# Use monolithic X up to FC4, and modular X for FC5+ and non-Fedora
%if %{!?fedora:6}%{?fedora} >= 5
BuildRequires: libX11-devel, libGL-devel, libGLU-devel
%else
BuildRequires: xorg-x11-devel, Mesa-devel
%endif
# Required because we patch configure
BuildRequires: autoconf, automake17

%description
CannonSmash is a 3D tabletennis game. The goal of this project is to
represent various strategy of tabletennis on computer game.
This program requires OpenGL and SDL. If your machine doesn't have 3D
accelaration video card, this program runs very slowly.


%prep
%setup
%patch0 -p1 -b .64bit-gcc4
%patch1 -p1 -b .extraqualif
%patch2 -p1 -b .configure


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}


# Create the system menu entry
%{__cat} > %{name}.desktop << EOF
[Desktop Entry]
Name=Cannon Smash
Comment=3D tabletennis game
Exec=csmash
Icon=%{_datadir}/games/%{name}/images/PenAttack.jpg
Terminal=false
Type=Application
Categories=Application;Game;
Encoding=UTF-8
EOF

%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora \
    --dir %{buildroot}%{_datadir}/applications \
    %{name}.desktop


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING CREDITS ChangeLog README README.en
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/games/%{name}


%changelog
* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.6.6-13
- FC6 rebuild.
- Remove gcc-c++ build requirement, it's a default.
- Add patch to configure to remove empty '-I' as further include paths seem to
  be ignored when it's present, this caused SDL.h to not be found.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 0.6.6-12
- FC5 rebuild.

* Wed Feb  8 2006 Matthias Saou <http://freshrpms.net/> 0.6.6-11
- Rebuild for new gcc/glibc.

* Mon Jan 23 2006 Matthias Saou <http://freshrpms.net/> 0.6.6-10
- Add conditional to build with/without modular X depending on FC version.
- Include gcc 4.1 patch to fix "extra qualification" errors.
- For some reason, adding libXt, libXext and libXmu to the build make it fail.

* Tue May 24 2005 Matthias Saou <http://freshrpms.net/> 0.6.6-9
- Update the gcc4 patch with diff from bug #156205.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.6.6-8
- rebuild on all arches

* Tue May  3 2005 Matthias Saou <http://freshrpms.net/> 0.6.6-7
- Update 64bit patch to add gcc4 fixes too (from Debian bug #289015).

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.6.6-5
- Bump release to provide Extras upgrade path.

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.6.6-4
- Add 64bit-fixes patch from Mandrake Linux to fix x86_64 build.

* Thu Sep 16 2004 Matthias Saou <http://freshrpms.net/> 0.6.6-3
- Added missing zlib-devel build dep for YDL4.
- Removed explicit deps, they're all picked up automatically.

* Tue May 18 2004 Matthias Saou <http://freshrpms.net/> 0.6.6-2
- Rebuild for Fedora Core 2.

* Thu Feb 12 2004 Matthias Saou <http://freshrpms.net/> 0.6.6-1
- Update to 0.6.6, now uses gtk2.
- Fix a typo in the desktop file and added icon.

* Fri Dec 12 2003 Matthias Saou <http://freshrpms.net/> 0.6.5-2
- Rebuild for Fedora Core 1... the configure problem is gone :-/

* Mon Apr 14 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.6.5.

* Sat Feb  9 2002 Matthias Saou <http://freshrpms.net/>
- Initial RPM release.

